Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
disk-usage
[Files] Get disk usage
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/disk-usage \
  --header 'Authorization: Bearer <token>'
{
  "used_mb": 123,
  "limit_mb": 123,
  "used_percent": 123
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

Web hosting unique identifier

organization_id
string<uuid>
required

Organization unique identifier

project_id
string<uuid>
required

Project unique identifier

Response

Disk usage retrieved successfully

used_mb
number<double>
required
limit_mb
number<double>
required
used_percent
number<double>
required